/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SliderBase } from "./SliderBase";
import { markType } from "igniteui-react-core";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
export let Slider = /*@__PURE__*/ (() => {
    class Slider extends SliderBase {
        constructor() {
            super(...arguments);
            this.input = null;
            this.change = null;
        }
        get aa() {
            let ret_ = this.e.n("value");
            return ret_;
        }
        set aa(a) {
            let value_ = a;
            this.e.v("value", value_);
        }
        get y() {
            let ret_ = this.e.n("disabled");
            return ret_;
        }
        set y(a) {
            let value_ = a;
            this.e.v("disabled", value_);
        }
        get z() {
            let ret_ = this.e.n("invalid");
            return ret_;
        }
        set z(a) {
            let value_ = a;
            this.e.v("invalid", value_);
        }
        inputChanged() {
            if (this.input != null) {
                this.e.r("input", (a) => this.input(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.u("input");
            }
        }
        changeChanged() {
            if (this.change != null) {
                this.e.r("change", (a) => this.change(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.u("change");
            }
        }
        ah(a = -1) {
            this.nativeElement.stepUp(this.e.i(a));
        }
        ag(a = -1) {
            this.nativeElement.stepDown(this.e.i(a));
        }
        ae() {
            this.nativeElement.reportValidity();
        }
        ac() {
            this.nativeElement.checkValidity();
        }
        af(a) {
            this.nativeElement.setCustomValidity(this.e.i(a));
        }
    }
    Slider.$t = /*@__PURE__*/ markType(Slider, 'Slider', SliderBase.$);
    return Slider;
})();
