import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { GroupingDirection } from "./GroupingDirection";
import { FilteringOptions } from "./FilteringOptions";
import { ComboChangeEventArgs } from "./ComboChangeEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
import { FocusOptions } from "./FocusOptions";
/**
 * @hidden
 */
export declare class Combo extends BaseElement {
    static $t: Type;
    private m;
    protected get n(): WCNativeHelper;
    private y;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get a(): any[];
    set a(a: any[]);
    get v(): boolean;
    set v(a: boolean);
    get x(): boolean;
    set x(a: boolean);
    get o(): boolean;
    set o(a: boolean);
    get p(): boolean;
    set p(a: boolean);
    get ae(): string;
    set ae(a: string);
    get af(): string;
    set af(a: string);
    get ag(): string;
    set ag(a: string);
    get u(): boolean;
    set u(a: boolean);
    get ah(): string;
    set ah(a: string);
    get ac(): string;
    set ac(a: string);
    get ad(): string;
    set ad(a: string);
    get f(): GroupingDirection;
    set f(a: GroupingDirection);
    get e(): FilteringOptions;
    set e(a: FilteringOptions);
    get q(): boolean;
    set q(a: boolean);
    get s(): boolean;
    set s(a: boolean);
    get c(): any[];
    set c(a: any[]);
    get b(): any[];
    get r(): boolean;
    set r(a: boolean);
    get w(): boolean;
    set w(a: boolean);
    get t(): boolean;
    set t(a: boolean);
    change: (sender: any, args: ComboChangeEventArgs) => void;
    changeChanged(): void;
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    opening: (sender: any, args: VoidEventArgs) => void;
    openingChanged(): void;
    opened: (sender: any, args: VoidEventArgs) => void;
    openedChanged(): void;
    closing: (sender: any, args: VoidEventArgs) => void;
    closingChanged(): void;
    closed: (sender: any, args: VoidEventArgs) => void;
    closedChanged(): void;
    ao(): void;
    ar(a: FocusOptions): void;
    aj(): void;
    aw(a: any[]): void;
    ap(a: any[]): void;
    az(): void;
    as(): void;
    a0(): void;
    av(): void;
    al(): void;
    ax(a: string): void;
    ab: (arg: any) => any;
    aa: (arg: any) => any;
}
