import { MaskInputBase } from "./MaskInputBase";
import { Type } from "igniteui-react-core";
import { DatePartDeltas } from "./DatePartDeltas";
import { ComponentDateValueChangedEventArgs } from "./ComponentDateValueChangedEventArgs";
import { DatePart } from "./DatePart";
/**
 * @hidden
 */
export declare class DateTimeInput extends MaskInputBase {
    static $t: Type;
    get ao(): string;
    set ao(a: string);
    get am(): Date;
    set am(a: Date);
    get ak(): Date;
    set ak(a: Date);
    get ai(): Date;
    set ai(a: Date);
    get al(): Date;
    set al(a: Date);
    get aj(): Date;
    set aj(a: Date);
    get an(): string;
    set an(a: string);
    get ag(): DatePartDeltas;
    set ag(a: DatePartDeltas);
    get ah(): boolean;
    set ah(a: boolean);
    get ap(): string;
    set ap(a: string);
    change: (sender: any, args: ComponentDateValueChangedEventArgs) => void;
    changeChanged(): void;
    as(): void;
    au(a: DatePart, b?: number): void;
    at(a: DatePart, b?: number): void;
    ar(): void;
}
