/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
export let Rating = /*@__PURE__*/ (() => {
    class Rating extends BaseElement {
        constructor() {
            super(...arguments);
            this.d = new WCNativeHelper();
            this.p = null;
            this.change = null;
            this.hover = null;
        }
        get e() {
            return this.d;
        }
        get nativeElement() {
            return this.p;
        }
        set nativeElement(a) {
            this.p = a;
            this.d.o = this.p;
        }
        setNativeElement(a) {
            this.nativeElement = a;
        }
        get m() {
            let ret_ = this.e.n("max");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.e.v("max", value_);
        }
        get n() {
            let ret_ = this.e.n("step");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.e.v("step", value_);
        }
        get r() {
            let ret_ = this.e.n("label");
            return ret_;
        }
        set r(a) {
            let value_ = a;
            this.e.v("label", value_);
        }
        get s() {
            let ret_ = this.e.n("valueFormat");
            return ret_;
        }
        set s(a) {
            let value_ = a;
            this.e.v("valueFormat", value_);
        }
        get o() {
            let ret_ = this.e.n("value");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.e.v("value", value_);
        }
        get h() {
            let ret_ = this.e.n("hoverPreview");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.e.v("hoverPreview", value_);
        }
        get k() {
            let ret_ = this.e.n("readOnly");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.e.v("readOnly", value_);
        }
        get j() {
            let ret_ = this.e.n("readonly");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.e.v("readonly", value_);
        }
        get l() {
            let ret_ = this.e.n("single");
            return ret_;
        }
        set l(a) {
            let value_ = a;
            this.e.v("single", value_);
        }
        get f() {
            let ret_ = this.e.n("allowReset");
            return ret_;
        }
        set f(a) {
            let value_ = a;
            this.e.v("allowReset", value_);
        }
        get c() {
            let ret_ = this.e.n("size");
            if ((ret_ === undefined && this.___rawMode)) {
                return undefined;
            }
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, this.e.f(SizableComponentSize_$type, ret_)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        }
        set c(a) {
            let value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.camel(value_.toString());
            this.e.v("size", value_);
        }
        get g() {
            let ret_ = this.e.n("disabled");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.e.v("disabled", value_);
        }
        get i() {
            let ret_ = this.e.n("invalid");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.e.v("invalid", value_);
        }
        changeChanged() {
            if (this.change != null) {
                this.e.r("change", (a) => this.change(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.u("change");
            }
        }
        hoverChanged() {
            if (this.hover != null) {
                this.e.r("hover", (a) => this.hover(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.u("hover");
            }
        }
        aa(a = -1) {
            this.nativeElement.stepUp(this.e.i(a));
        }
        z(a = -1) {
            this.nativeElement.stepDown(this.e.i(a));
        }
        w() {
            this.nativeElement.reportValidity();
        }
        u() {
            this.nativeElement.checkValidity();
        }
        x(a) {
            this.nativeElement.setCustomValidity(this.e.i(a));
        }
    }
    Rating.$t = /*@__PURE__*/ markType(Rating, 'Rating', BaseElement.$);
    return Rating;
})();
