/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
var Rating = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(Rating, _super);
    function Rating() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.d = new WCNativeHelper();
        _this.p = null;
        _this.change = null;
        _this.hover = null;
        return _this;
    }
    Object.defineProperty(Rating.prototype, "e", {
        get: function () {
            return this.d;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "nativeElement", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.d.o = this.p;
        },
        enumerable: false,
        configurable: true
    });
    Rating.prototype.setNativeElement = function (a) {
        this.nativeElement = a;
    };
    Object.defineProperty(Rating.prototype, "m", {
        get: function () {
            var ret_ = this.e.n("max");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("max", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "n", {
        get: function () {
            var ret_ = this.e.n("step");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("step", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "r", {
        get: function () {
            var ret_ = this.e.n("label");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("label", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "s", {
        get: function () {
            var ret_ = this.e.n("valueFormat");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("valueFormat", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "o", {
        get: function () {
            var ret_ = this.e.n("value");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("value", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "h", {
        get: function () {
            var ret_ = this.e.n("hoverPreview");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("hoverPreview", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "k", {
        get: function () {
            var ret_ = this.e.n("readOnly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("readOnly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "j", {
        get: function () {
            var ret_ = this.e.n("readonly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("readonly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "l", {
        get: function () {
            var ret_ = this.e.n("single");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("single", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "f", {
        get: function () {
            var ret_ = this.e.n("allowReset");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("allowReset", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "c", {
        get: function () {
            var ret_ = this.e.n("size");
            if ((ret_ === undefined && this.___rawMode)) {
                return undefined;
            }
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, this.e.f(SizableComponentSize_$type, ret_)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.camel(value_.toString());
            this.e.v("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "g", {
        get: function () {
            var ret_ = this.e.n("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "i", {
        get: function () {
            var ret_ = this.e.n("invalid");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.v("invalid", value_);
        },
        enumerable: false,
        configurable: true
    });
    Rating.prototype.changeChanged = function () {
        var _this = this;
        if (this.change != null) {
            this.e.r("change", function (a) { return _this.change(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.e.u("change");
        }
    };
    Rating.prototype.hoverChanged = function () {
        var _this = this;
        if (this.hover != null) {
            this.e.r("hover", function (a) { return _this.hover(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.e.u("hover");
        }
    };
    Rating.prototype.aa = function (a) {
        if (a === void 0) {
            a = -1;
        }
        this.nativeElement.stepUp(this.e.i(a));
    };
    Rating.prototype.z = function (a) {
        if (a === void 0) {
            a = -1;
        }
        this.nativeElement.stepDown(this.e.i(a));
    };
    Rating.prototype.w = function () {
        this.nativeElement.reportValidity();
    };
    Rating.prototype.u = function () {
        this.nativeElement.checkValidity();
    };
    Rating.prototype.x = function (a) {
        this.nativeElement.setCustomValidity(this.e.i(a));
    };
    Rating.$t = markType(Rating, 'Rating', BaseElement.$);
    return Rating;
}(BaseElement));
export { Rating };
